> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.labs.bandwidth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Configurations

> List all telephony configurations in your organization



## OpenAPI

````yaml GET /api/v1/organizations/telephony-configs
openapi: 3.1.0
info:
  title: Bandwidth Agent Builder API
  version: v1
  description: >-
    Manage agents, place calls, and retrieve conversation results in your
    workspace.
servers:
  - url: https://agents.labs.bandwidth.com
    description: Workspace API
security: []
paths:
  /api/v1/organizations/telephony-configs:
    get:
      tags:
        - telephony-configs
      summary: List Configurations
      description: List all telephony configurations in your organization
      operationId: list_telephony_configurations_api_v1_organizations_telephony_configs_get
      parameters:
        - name: X-VOAI-ORGANIZATION-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Voai-Organization-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TelephonyConfigurationListResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LabsAuth: []
        - LabsApiKey: []
components:
  schemas:
    TelephonyConfigurationListResponse:
      properties:
        configurations:
          items:
            $ref: '#/components/schemas/TelephonyConfigurationListItem'
          type: array
          title: Configurations
      type: object
      required:
        - configurations
      title: TelephonyConfigurationListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TelephonyConfigurationListItem:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        is_default_outbound:
          type: boolean
          title: Is Default Outbound
        phone_number_count:
          type: integer
          title: Phone Number Count
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - provider
        - is_default_outbound
        - created_at
        - updated_at
      title: TelephonyConfigurationListItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LabsAuth:
      type: http
      scheme: bearer
    LabsApiKey:
      type: apiKey
      in: header
      name: X-BW-LABS-AGENTS-API-KEY

````